

import pygame as pg
pg.init()

pg.display.set_caption("Saobraćajni znak")
(sirina, visina) = (400, 400)
prozor = pg.display.set_mode((sirina, visina))

prozor.fill(pg.Color("white"))

temena2 = [(156, 100), (236, 100), (300, 156), (300,236),
           (240, 300), (160, 300), (100, 236), (100,156)]
temena = [(150, 80), (250, 80), (320, 150), (320,250),
           (250, 320), (150, 320), (80, 250), (80,150)]

pg.draw.polygon(prozor, pg.Color("white"), temena) 
pg.draw.polygon(prozor, pg.Color("black"), temena, 1)
pg.draw.polygon(prozor, pg.Color("red"), temena2)

# font kojim će biti prikazan tekst
font = pg.font.SysFont("Arial", 80)

# poruka koja će se ispisivati
poruka = "STOP"
# gradimo sličicu koja predstavlja tu poruku ispisanu crnom bojom
tekst = font.render(poruka, True, pg.Color("white"))
# određujemo veličinu tog teksta (da bismo mogli da ga centriramo)
(sirina_teksta, visina_teksta) = (tekst.get_width(), tekst.get_height())
# položaj određujemo tako da tekst bude centriran
(x, y) = ((sirina - sirina_teksta) / 2, (visina - visina_teksta) / 2)
# prikazujemo sličicu na odgovarajućem mestu na ekranu
prozor.blit(tekst, (x, y))


pg.display.update()
while pg.event.wait().type != pg.QUIT:
    pass
pg.quit()





